// MATCH 'EM (DICE GAME)
// By Banjo
// banjosbbs@hotmail.com
// www.banjosbbs.blogspot.com
// Version 1.6
//
// CREDITS:
// Game based loosely on the dice game 'Pizza Party', by Haywire Group.
// Script by Banjo.
// Opponent images sourced from various free web preview galleries.
// Spanking sounds recorded and edited by Banjo.
// Dice sounds from www.freesound.org, edited by Banjo.
//
// COPYRIGHT:
// This script, from http://ss.deviatenow.com, is protected by this licence:
// CC BY-NC-ND, see http://creativecommons.org/licenses/by-nc-nd/4.0/
// This copyright refers only to this script itself; it does not include any other included resources (images, music, sounds, etc.) which remain the property of their owners.
//
// SCRIPT RESOURCES
// This contains a list of files included with the script when published to the SexScripts website
/*
 * Resources
 * scripts/Banjo/matchem.groovy
 */
//

//Metadata
setInfos(4, "Match 'Em",
	"A dice rolling game with spanking penalties (requires Game Hub)",
	"Banjo",
	"v1.6", 0xFFFFFF, "en",
	["spanking", "game", "femaledom", "formale", "forfemale", "banjohub"]);

//Player setup
def player = (loadString("intro.name"))
def manlady = "man"
def boygirl = "boy"
def bratbitch = "brat"
def cockpussy = "cock"
if(loadBoolean("intro.female"))
{
	manlady = "lady"
	boygirl = "girl"
	bratbitch = "bitch"
	cockpussy = "pussy"
}

//Game setup
def gamename = "Match 'Em"
def opponent_met = false
def opponent_played = false
def menu = 0
def quit = false
def greeting = "Ready to play?"
def spankMultiplier = 2
def strokeMultiplier = 5
def winRounds = 6
def debug = false

//Load Settings
def loadSettings = {
	if(loadBoolean("Banjo.matchem.custom")) {
		spankMultiplier = loadInteger("Banjo.matchem.spankMultiplier")
		strokeMultiplier = loadInteger("Banjo.matchem.strokeMultiplier")
		winRounds = loadInteger("Banjo.matchem.winRounds")
	}
}

//Default implements
def getLightImplement = {
	def implementList = ["ruler"]
//	if(loadBoolean("toys.ruler")) implementList+="ruler"
	if(loadBoolean("toys.slipper")) implementList+="slipper"
	if(loadBoolean("toys.plimsoll")) implementList+="plimsoll"
	if(loadBoolean("toys.spatula")) implementList+="spatula"
	if(loadBoolean("toys.spatula_wooden")) implementList+="wooden spatula"
	if(loadBoolean("toys.flyswatter")) implementList+="flyswatter"
	if(loadBoolean("toys.wooden_spoon")) implementList+="wooden spoon"
	if(loadBoolean("toys.bat")) implementList+="table tennis bat"
	if(loadBoolean("toys.bat_flyback")) implementList+="paddleball bat"
	if(loadBoolean("toys.bat_beach")) implementList+="beach tennis bat"
	if(loadBoolean("toys.slapper")) implementList+="leather slapper"
	if(loadBoolean("toys.hairbrush_plastic")) implementList+="plastic hairbrush"
	return implementList[getRandom(implementList.size())]
}
def getMediumImplement = {
	def implementList = ["hairbrush"]
//	if(loadBoolean("toys.hairbrush")) implementList+="hairbrush"
	if(loadBoolean("toys.hairbrush_paddle")) implementList+="paddle hairbrush"
	if(loadBoolean("toys.sandal")) implementList+="sandal"
	if(loadBoolean("toys.sneaker")) implementList+="sneaker"
	if(loadBoolean("toys.bat_jokari")) implementList+="battledore bat"
	if(loadBoolean("toys.paddle")) implementList+="paddle"
	if(loadBoolean("toys.sandal")) implementList+="sandal"
	if(loadBoolean("toys.paddle_rubber")) implementList+="rubber paddle"
	if(loadBoolean("toys.paddle_leather")) implementList+="leather paddle"
	if(loadBoolean("toys.paddle_plastic")) implementList+="plastic paddle"
	if(loadBoolean("toys.paddle_lexan")) implementList+="lexan paddle"
	if(loadBoolean("toys.strap_loop")) implementList+="loop strap"
	if(loadBoolean("toys.switch")) implementList+="switch"
	if(loadBoolean("toys.rod")) implementList+="curtain rod"
	if(loadBoolean("toys.martinet")) implementList+="martinet"
	return implementList[getRandom(implementList.size())]
}
def getHeavyImplement = {
	def implementList = ["bathbrush"]
//	if(loadBoolean("toys.bathbrush")) implementList+="bathbrush"
	if(loadBoolean("toys.crop")) implementList+="riding crop"
	if(loadBoolean("toys.cane")) implementList+="cane"
	if(loadBoolean("toys.cane_heavy")) implementList+="judicial cane"
	if(loadBoolean("toys.cane_otk")) implementList+="short cane"
	if(loadBoolean("toys.cane_plastic")) implementList+="plastic cane"
	if(loadBoolean("toys.cane_loop")) implementList+="loop cane"
	if(loadBoolean("toys.rugbeater")) implementList+="rugbeater"
	if(loadBoolean("toys.duster")) implementList+="duster handle"
	if(loadBoolean("toys.birch")) implementList+="birch rod"
	if(loadBoolean("toys.tawse")) implementList+="tawse"
	if(loadBoolean("toys.strap")) implementList+="strap"
	if(loadBoolean("toys.strap_studded")) implementList+="studded strap"
	if(loadBoolean("toys.belt")) implementList+="belt"
	if(loadBoolean("toys.paddle_holes")) implementList+="paddle with holes"
	if(loadBoolean("toys.cat_o_nine")) implementList+="cat-o-nine-tails"
	if(loadBoolean("toys.flogger")) implementList+="flogger"
	if(loadBoolean("toys.whip")) implementList+="whip"
	return implementList[getRandom(implementList.size())]
}
def lightImplement = getLightImplement()
def mediumImplement = getMediumImplement()
def heavyImplement = getHeavyImplement()
def lightImplementSound = "slap"
def mediumImplementSound = "smack"
def heavyImplementSound = "whack"

//Default opponent
def opponent="Gemma"
def opponent_pics = 5
def opponent_pics2 = 2
def respectTitle = "Miss"
def meet1 = "Hi, I'm "+opponent+"."
def meet2 = "\n\nWhat's your name?"
def meet3 = "It's nice to meet you, "+player+"."
def meet4 = "Let's play '"+gamename+"'."
def intro1 = "Hi there!\n\nLet's play '"+gamename+"'."
def backagain1 = "Want to play '"+gamename+"' with me again?"
def backagain2 = "Back for another game of '"+gamename+"'?"
def refuse1 = "Aww, too bad!\n\nMaybe some other time?"
def goodbye1 = "Now wasn't that a fun game?\n\nCome back soon so we can play again."

//Opponents
def maxOpponents = 13
def opponent0 = "Gemma"
def opponent1 = "Sandy"
def opponent2 = "Khyanna"
def opponent3 = "Raven"
def opponent4 = "Nicole"
def opponent5 = "Gracie"
def opponent6 = "Melanie"
def opponent7 = "Ann"
def opponent8 = "Valentina"
def opponent9 = "Kitty"
def opponent10 = "Bryci"
def opponent11 = "Tyler"
def opponent12 = "Tere"
def opponent13 = "Kiara"

def opponentSet0 = {
	opponent = "Gemma"
	respectTitle = "Miss"
	opponent_pics = 5
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet1 = {
	opponent = "Sandy"
	respectTitle = "Miss"
	opponent_pics = 5
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet2 =  {
	opponent = "Khyanna"
	respectTitle = "Miss"
	opponent_pics = 5
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet3 = 	{
	opponent = "Raven"
	respectTitle = "Miss"
	opponent_pics = 7
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet4 = {
	opponent = "Nicole"
	respectTitle = "Miss"
	opponent_pics = 4
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet5 = {
	opponent = "Gracie"
	respectTitle = "Miss"
	opponent_pics = 5
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet6 = {
	opponent = "Melanie"
	respectTitle = "Miss"
	opponent_pics = 6
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet7 = {
	opponent = "Ann"
	respectTitle = "Miss"
	opponent_pics = 7
	opponent_pics2 = 3
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet8 = {
	opponent = "Valentina"
	respectTitle = "Miss"
	opponent_pics = 4
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet9 = {
	opponent = "Kitty"
	respectTitle = "Miss"
	opponent_pics = 7
	opponent_pics2 = 3
	meet1 = "My name is "+opponent+"."
	meet2 = "\n\nWho the hell are you, "+bratbitch+"?"
	meet3 = "Hmph! Another silly little "+boygirl+"?"
	meet4 = "I assume you want to play '"+gamename+"' with me?"
	intro1 = "Hello, "+boygirl+"\n\nShall we play '"+gamename+"'?"
	backagain1 = "Do you want to play '"+gamename+"' again?"
	backagain2 = "Back for another game of '"+gamename+"', "+boygirl+"?"
	refuse1 = "Then run along and don't bother me, little "+boygirl+"."
	goodbye1 = "That was rather amusing.\n\nI might enjoy playing with you again."
}

def opponentSet10 = {
	opponent = "Bryci"
	respectTitle = "Miss"
	opponent_pics = 5
	opponent_pics2 = 3
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet11 = {
	opponent = "Tyler"
	respectTitle = "Miss"
	opponent_pics = 4
	opponent_pics2 = 2
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet12 = {
	opponent = "Tere"
	respectTitle = "Miss"
	opponent_pics = 7
	opponent_pics2 = 4
	meet1 = "Hi, I'm "+opponent+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

def opponentSet13 = {
	opponent = "Kiara"
	respectTitle = "Aunty"
	opponent_pics = 7
	opponent_pics2 = 4
	meet1 = "Hello there. I'm "+opponent+"... but you can call me '"+respectTitle+" "+opponent+"', young "+manlady+"."
	meet2 = meet2
	meet3 = meet3
	meet4 = meet4
	intro1 = intro1
	backagain1 = backagain1
	backagain2 = backagain2
	refuse1 = refuse1
	goodbye1 = goodbye1
}

//Opponent selection menu
def opponentSelect = {
	def opponentselection = true
	while(opponentselection)
	{
		def pick_opponent = getSelectedValue("Select your opponent:", [opponent0,opponent1,opponent2,opponent3,opponent4,opponent5,opponent6,opponent7,opponent8,opponent9,opponent10,opponent11,opponent12,opponent13])
		if(pick_opponent==0) opponentSet0()
		else if(pick_opponent==1) opponentSet1()
		else if(pick_opponent==2) opponentSet2()
		else if(pick_opponent==3) opponentSet3()
		else if(pick_opponent==4) opponentSet4()
		else if(pick_opponent==5) opponentSet5()
		else if(pick_opponent==6) opponentSet6()
		else if(pick_opponent==7) opponentSet7()
		else if(pick_opponent==8) opponentSet8()
		else if(pick_opponent==9) opponentSet9()
		else if(pick_opponent==10) opponentSet10()
		else if(pick_opponent==11) opponentSet11()
		else if(pick_opponent==12) opponentSet12()
		else if(pick_opponent==13) opponentSet13()
		if(pick_opponent<(maxOpponents+1)) opponentselection = false
	}
}

//Config menu
def setCustom = {
	spankMultiplier = getInteger("Enter the multiplier for spanks.\n\n(default is 2, current is "+spankMultiplier+")",2)
	while(spankMultiplier<1) {
		spankMultiplier = getInteger("You must set the spank multiplier to at least 1.\n\n(default is 2)",2)
	}
	strokeMultiplier = getInteger("Enter the multiplier for strokes.\n\n(default is 5, current is "+strokeMultiplier+")",5)
	while(strokeMultiplier<1) {
		strokeMultiplier = getInteger("You must set the stroke multiplier to at least 1.\n\n(default is 5)",5)
	}
	winRounds = getInteger("Enter the number of rounds that must be won to win the game.\n\n(default is 6, current is "+winRounds+")",6)
	while(winRounds<1) {
		winRounds = getInteger("You must set the number of rounds to at least 1.\n\n(default is 6)",6)
	}
	save("Banjo.matchem.spankMultiplier",spankMultiplier)
	save("Banjo.matchem.strokeMultiplier",strokeMultiplier)
	save("Banjo.matchem.winRounds",winRounds)
	save("Banjo.matchem.custom",true)
	show("Settings saved.")
	wait(3)
	loadSettings()
}

def resetGame = {
	spankMultiplier = 2
	strokeMultiplier = 5
	winRounds = 6
	opponent_played = false
	save("Banjo.matchem.spankMultiplier",spankMultiplier)
	save("Banjo.matchem.strokeMultiplier",strokeMultiplier)
	save("Banjo.matchem.winRounds",winRounds)
	save("Banjo.matchem.custom",false)
	save("Banjo.matchem.played_"+opponent0+"",opponent_played)
	save("Banjo.matchem.played_"+opponent1+"",opponent_played)
	save("Banjo.matchem.played_"+opponent2+"",opponent_played)
	save("Banjo.matchem.played_"+opponent3+"",opponent_played)
	save("Banjo.matchem.played_"+opponent4+"",opponent_played)
	save("Banjo.matchem.played_"+opponent5+"",opponent_played)
	save("Banjo.matchem.played_"+opponent6+"",opponent_played)
	save("Banjo.matchem.played_"+opponent7+"",opponent_played)
	save("Banjo.matchem.played_"+opponent8+"",opponent_played)
	save("Banjo.matchem.played_"+opponent9+"",opponent_played)
	save("Banjo.matchem.played_"+opponent10+"",opponent_played)
	save("Banjo.matchem.played_"+opponent11+"",opponent_played)
	save("Banjo.matchem.played_"+opponent12+"",opponent_played)
	save("Banjo.matchem.played_"+opponent13+"",opponent_played)
	show("Settings reset to defaults.\n\nGame will quit after exiting config.")
	wait(5)
	quit = true
}

def resetTotal = {
	spankMultiplier = 2
	strokeMultiplier = 5
	winRounds = 6
	opponent_met = false
	opponent_played = false
	save("Banjo.matchem.spankMultiplier",spankMultiplier)
	save("Banjo.matchem.strokeMultiplier",strokeMultiplier)
	save("Banjo.matchem.winRounds",winRounds)
	save("Banjo.matchem.custom",false)
	save("Banjo.matchem.played_"+opponent0+"",opponent_played)
	save("Banjo.matchem.played_"+opponent1+"",opponent_played)
	save("Banjo.matchem.played_"+opponent2+"",opponent_played)
	save("Banjo.matchem.played_"+opponent3+"",opponent_played)
	save("Banjo.matchem.played_"+opponent4+"",opponent_played)
	save("Banjo.matchem.played_"+opponent5+"",opponent_played)
	save("Banjo.matchem.played_"+opponent6+"",opponent_played)
	save("Banjo.matchem.played_"+opponent7+"",opponent_played)
	save("Banjo.matchem.played_"+opponent8+"",opponent_played)
	save("Banjo.matchem.played_"+opponent9+"",opponent_played)
	save("Banjo.matchem.played_"+opponent10+"",opponent_played)
	save("Banjo.matchem.played_"+opponent11+"",opponent_played)
	save("Banjo.matchem.played_"+opponent12+"",opponent_played)
	save("Banjo.matchem.played_"+opponent13+"",opponent_played)
	save("Banjo.games.met_"+opponent0+"",opponent_met)
	save("Banjo.games.met_"+opponent1+"",opponent_met)
	save("Banjo.games.met_"+opponent2+"",opponent_met)
	save("Banjo.games.met_"+opponent3+"",opponent_met)
	save("Banjo.games.met_"+opponent4+"",opponent_met)
	save("Banjo.games.met_"+opponent5+"",opponent_met)
	save("Banjo.games.met_"+opponent6+"",opponent_met)
	save("Banjo.games.met_"+opponent7+"",opponent_met)
	save("Banjo.games.met_"+opponent8+"",opponent_met)
	save("Banjo.games.met_"+opponent9+"",opponent_met)
	save("Banjo.games.met_"+opponent10+"",opponent_met)
	save("Banjo.games.met_"+opponent11+"",opponent_met)
	save("Banjo.games.met_"+opponent12+"",opponent_met)
	save("Banjo.games.met_"+opponent13+"",opponent_met)
	show("Settings reset to defaults.")
	wait(5)
	quit = true
}

def changeSettings = {
	def loopmenu = true
	while(loopmenu) {
		menu = getSelectedValue("What do you want to do?", ["Exit Config", "Customize", "Reset Game", "Total Reset"])
		if(menu==0) loopmenu = false
		else if(menu==1) setCustom()
		else if(menu==2) resetGame()
		else if(menu==3) resetTotal()
	}
}

//Basic variables and definitions

def mistressMatch1 = 1
def mistressMatch2 = 1
def mistressMatch3 = 1
def mistressMatch4 = 1
def mistressMatch5 = 1
def mistressMatched1 = false
def mistressMatched2 = false
def mistressMatched3 = false
def mistressMatched4 = false
def mistressMatched5 = false

def mistressDice = 5
def mistressTotal = 0
def mistressScore = 0

def mistressRoll1 = 1
def mistressRoll2 = 1
def mistressRoll3 = 1
def mistressRoll4 = 1
def mistressRoll5 = 1

def playerMatch1 = 1
def playerMatch2 = 1
def playerMatch3 = 1
def playerMatch4 = 1
def playerMatch5 = 1
def playerMatched1 = false
def playerMatched2 = false
def playerMatched3 = false
def playerMatched4 = false
def playerMatched5 = false

def playerDice = 5
def playerTotal = 0
def playerScore = 0

def playerRoll1 = 1
def playerRoll2 = 1
def playerRoll3 = 1
def playerRoll4 = 1
def playerRoll5 = 1

def playerRoundsWon = 0
def mistressRoundsWon = 0

def matches = 0
def first = "mistress"
def round = false
def game = false
def winner = "mistress"

def spacer = "\n\n\n\n\n\n\n\n."
def display = ""
def displayMistressMatches = ""
def displayPlayerMatches = ""
def displayWins = ""
def displayTotals = ""
def displayRoll = ""

def imageOpponent = "opponents/"+opponent+"_intro.jpg"

def displayScore = {
	displayMistressMatches = ""+opponent+"'s Matches: ["+mistressMatch1+"] ["+mistressMatch2+"] ["+mistressMatch3+"] ["+mistressMatch4+"] ["+mistressMatch5+"]\n"
	displayPlayerMatches = "Your Matches: ["+playerMatch1+"] ["+playerMatch2+"] ["+playerMatch3+"] ["+playerMatch4+"] ["+playerMatch5+"]\n\n"
	displayWins = ""+opponent+"'s Wins: "+mistressRoundsWon+"/"+winRounds+"\nYour Wins: "+playerRoundsWon+"/"+winRounds+"\n"
	displayTotals = ""+opponent+"'s Score: "+mistressScore+"\nYour Score: "+playerScore+"\n\n\n\n\n\n\n\n"
	display = ""+displayMistressMatches+""+displayPlayerMatches+""+displayWins+""+displayTotals+""
	spacer = "\n\n\n\n\n\n\n\n."
}

def getRandomItem = { itemKeys ->
	for ( key in itemKeys ) {
		if ( !loadBoolean(key) ) itemKeys -= key
	}
	if ( itemKeys.isEmpty() ) return null
	return itemKeys[ getRandom(itemKeys.size()) ]
}

def playSoundDiceroll = {
	playSound("banjo/casino/dice.wav")
}

def spankImplement = lightImplement
def spankSound = lightImplementSound
def spankSoundLimit = 4

def x = 0
def spank = {
	message, spanks, time ->
	show(""+message+"\n\n. . ")
	wait(2)
	(1..spanks).each {
		x++
		show(message+"\n\n."+x+".")
		playBackgroundSound("spanks/"+spankSound+(1+getRandom(spankSoundLimit))+".wav")
		wait(time)
	}
}

def stroke = {
	message, strokes, time ->
	show(""+message+"\n\n. . ")
	wait(time)
	(1..strokes).each {
		x++
		show(message+"\n\n."+x+".")
		playBackgroundSound("tom.wav")
		wait(time)
	}
}

//Fixes (in case settings are accidentally set to 0)
if(spankMultiplier<1) spankMultiplier = 1
if(strokeMultiplier<1) strokeMultiplier = 1
if(winRounds<1) winRounds = 6

//Randomly select an image
def setImageGame = {
	def imageNumber = getRandom(opponent_pics)+1
	imageOpponent = "opponents/"+opponent+"_playing"+imageNumber+".jpg"
	setImage(imageOpponent)
}

def setImageSpank = {
	def imageNumber = getRandom(opponent_pics2)+1
	setImage("opponents/"+opponent+"_spank"+imageNumber+".jpg")
}

//Show main opponent image
def setImageMain = {
	setImage("opponents/"+opponent+"_intro.jpg")
}

//Game Intro
def intro = {
	if(!loadBoolean("Banjo.games.met_"+opponent+"")) {
		opponent_met = false
		save("Banjo.games.met_"+opponent+"",true)
	} else opponent_met = true
	if(!loadBoolean("Banjo.matchem.played_"+opponent+"")) {
		opponent_played = false
		save("Banjo.matchem.played_"+opponent+"",true)
	} else opponent_played = true
	if(!opponent_met) {
		show(meet1+meet2)
		showButton("I'm "+player+", "+respectTitle+".")
		show(meet3)
		wait(3)
		greeting = meet4
	} else if(!opponent_played) {
		greeting = intro1
	} else {
		def backagainMessageArray = [backagain1,backagain2]
		greeting = backagainMessageArray[getRandom(2)]
	}
	def mainmenu = true
	while(mainmenu) {
		loadSettings()
		menu = getSelectedValue(greeting, ["Yes", "No", "Config"])
		if(menu==0)
			mainmenu = false
		else if(menu==1) {
			show(refuse1)
			wait(5)
			mainmenu = false
			quit = true
		}
		else if(menu==2)
			changeSettings()
	}
}

//Rules explaination
def rulesDisplay = {
	show("'"+gamename+"' is a spanking dice game played in rounds.")
	showButton("Sounds interesting, "+respectTitle+".")
	show("Before each round starts, each player takes five six-sided dice of a unique color and rolls them."
		+"\n\nEach die rolled indicates a number that player must match to win this round."
		+"\n\nThe round now begins.")
	showButton("Who goes first, "+respectTitle+"?")
	show("Whoever's matches add up to the higest total gets to go first, so turn order may change every round.")
	showButton("I see, "+respectTitle+".")
	show("On their turn, a player rolls their dice to try and match all their numbers."
		+"\n\nIf any die shows the same value as one of the numbers they must match, that die is set aside."
		+"\n\nTheir turn is then over.")
	showButton("I understand, "+respectTitle+".")
	show("Whenever a number is matched and a die set aside, that means the player doesn't roll it next turn."
		+"\n\nThe first player to match all their numbers wins the round."
		+"\n\nThe sum total of the winner's matches for that round is then 'banked' as part of their ongoing score.")
	showButton("How many rounds do we play, "+respectTitle+"?")
	show("The first player to win "+winRounds+" rounds wins the game.")
	showButton("Right, "+respectTitle+".")
	show("There is, of course, a penalty for losing."
		+"\n\nShould you lose, you will receive a spanking with the implements of my choice."
		+"\n\nThe number of spanks you receive will be equal to my score minus your score, "
		+"multipled by "+spankMultiplier+".")
	showButton("What if I win, "+respectTitle+"?")
	show("If you win, you will be allowed to masturbate."
		+"\n\nI will allow you to stroke your "+cockpussy+" a number of times equal to your "
		+"score minus my score, multiplied by "+strokeMultiplier+".")
	showButton("Thank you, "+respectTitle+".")
}

//Implement sound assignments
def setImplementSound = {
	if(spankImplement=="hairbrush") spankSound = "smack"
	else if(spankImplement=="paddle hairbrush") spankSound = "smack"
	else if(spankImplement=="plastic hairbrush") spankSound = "slap"
	else if(spankImplement=="ruler") spankSound = "whap"
	else if(spankImplement=="spatula") spankSound = "slap"
	else if(spankImplement=="wooden spatula") spankSound = "slap"
	else if(spankImplement=="flyswatter") spankSound = "slap"
	else if(spankImplement=="wooden spoon") spankSound = "whap"
	else if(spankImplement=="bathbrush") spankSound = "whack"
	else if(spankImplement=="slipper") spankSound = "smack"
	else if(spankImplement=="sandal") spankSound = "smack"
	else if(spankImplement=="plimsoll") spankSound = "smack"
	else if(spankImplement=="sneaker") spankSound = "smack"
	else if(spankImplement=="leather slapper") spankSound = "slap"
	else if(spankImplement=="leather paddle") spankSound = "slap"
	else if(spankImplement=="table tennis bat") spankSound = "smack"
	else if(spankImplement=="paddleball bat") spankSound = "smack"
	else if(spankImplement=="battledore bat") spankSound = "whack"
	else if(spankImplement=="beach tennis bat") spankSound = "smack"
	else if(spankImplement=="paddle") spankSound = "whack"
	else if(spankImplement=="paddle with holes") spankSound = "whack"
	else if(spankImplement=="lexan paddle") spankSound = "whack"
	else if(spankImplement=="plastic paddle") spankSound = "smack"
	else if(spankImplement=="rubber paddle") spankSound = "smack"
	else if(spankImplement=="strap") spankSound = "belt"
	else if(spankImplement=="studded strap") spankSound = "belt"
	else if(spankImplement=="loop strap") spankSound = "slap"
	else if(spankImplement=="belt") spankSound = "belt"
	else if(spankImplement=="tawse") spankSound = "flog"
	else if(spankImplement=="cane") spankSound = "thwack"
	else if(spankImplement=="judicial cane") spankSound = "thwack"
	else if(spankImplement=="duster handle") spankSound = "thwack"
	else if(spankImplement=="short cane") spankSound = "thwack"
	else if(spankImplement=="plastic cane") spankSound = "thwack"
	else if(spankImplement=="loop cane") spankSound = "thwack"
	else if(spankImplement=="riding crop") spankSound = "thwip"
	else if(spankImplement=="birch rod") spankSound = "thwip"
	else if(spankImplement=="curtain rod") spankSound = "thwip"
	else if(spankImplement=="switch") spankSound = "thwip"
	else if(spankImplement=="rugbeater") spankSound = "thwack"
	else if(spankImplement=="martinet") spankSound = "thwip"
	else if(spankImplement=="flogger") spankSound = "flog"
	else if(spankImplement=="cat-o-nine-tails") spankSound = "flog"
	else if(spankImplement=="whip") spankSound = "flog"
	else spankSound="smack"
}

def setImplementSounds = {
	spankImplement = lightImplement
	setImplementSound()
	lightImplementSound = spankSound
	spankImplement = mediumImplement
	setImplementSound()
	mediumImplementSound = spankSound
	spankImplement = heavyImplement
	setImplementSound()
	heavyImplementSound = spankSound
}

//Opponent Start
def mistressStart = {
	mistressDice = 5
	mistressMatched1 = false
	mistressMatched2 = false
	mistressMatched3 = false
	mistressMatched4 = false
	mistressMatched5 = false
	show("I'll roll the dice to generate my matches...")
	if(debug)
		showButton("Continue")
	else
		wait(1)
	playSoundDiceroll()
	mistressMatch1 = getRandom(6)+1
	mistressMatch2 = getRandom(6)+1
	mistressMatch3 = getRandom(6)+1
	mistressMatch4 = getRandom(6)+1
	mistressMatch5 = getRandom(6)+1
	show("I rolled:\n ["+mistressMatch1+"] ["+mistressMatch2+"] ["+mistressMatch3+"] ["+mistressMatch4+"] ["+mistressMatch5+"]")
	if(debug)
		showButton("Continue")
	else
		wait(3)
}

//Player Start
def playerStart = {
	playerDice = 5
	playerMatched1 = false
	playerMatched2 = false
	playerMatched3 = false
	playerMatched4 = false
	playerMatched5 = false
	show("Roll the dice to generate your matches.")
	showButton("Roll")
	playSoundDiceroll()
	playerMatch1 = getRandom(6)+1
	playerMatch2 = getRandom(6)+1
	playerMatch3 = getRandom(6)+1
	playerMatch4 = getRandom(6)+1
	playerMatch5 = getRandom(6)+1
	show("You rolled:\n ["+playerMatch1+"] ["+playerMatch2+"] ["+playerMatch3+"] ["+playerMatch4+"] ["+playerMatch5+"]")
	showButton("Continue")
}

//Check Opponent Matches
def checkMistressMatches = {
	//Match 1
	if(mistressMatched1!=true) {
		if(mistressRoll1==mistressMatch1) {
			mistressMatched1 = true
			mistressMatch1 = "X"
			mistressRoll1 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll2==mistressMatch1) {
			mistressMatched1 = true
			mistressMatch1 = "X"
			mistressRoll2 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll3==mistressMatch1) {
			mistressMatched1 = true
			mistressMatch1 = "X"
			mistressRoll3 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll4==mistressMatch1) {
			mistressMatched1 = true
			mistressMatch1 = "X"
			mistressRoll4 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll5==mistressMatch1) {
			mistressMatched1 = true
			mistressMatch1 = "X"
			mistressRoll5 = 0
			mistressDice --
			matches ++
		}
	}
	//Match 2
	if(mistressMatched2!=true) {
		if(mistressRoll1==mistressMatch2) {
			mistressMatched2 = true
			mistressMatch2 = "X"
			mistressRoll1 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll2==mistressMatch2) {
			mistressMatched2 = true
			mistressMatch2 = "X"
			mistressRoll2 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll3==mistressMatch2) {
			mistressMatched2 = true
			mistressMatch2 = "X"
			mistressRoll3 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll4==mistressMatch2) {
			mistressMatched2 = true
			mistressMatch2 = "X"
			mistressRoll4 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll5==mistressMatch2) {
			mistressMatched2 = true
			mistressMatch2 = "X"
			mistressRoll5 = 0
			mistressDice --
			matches ++
		}
	}
	//Match 3
	if(mistressMatched3!=true) {
		if(mistressRoll1==mistressMatch3) {
			mistressMatched3 = true
			mistressMatch3 = "X"
			mistressRoll1 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll2==mistressMatch3) {
			mistressMatched3 = true
			mistressMatch3 = "X"
			mistressRoll2 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll3==mistressMatch3) {
			mistressMatched3 = true
			mistressMatch3 = "X"
			mistressRoll3 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll4==mistressMatch3) {
			mistressMatched3 = true
			mistressMatch3 = "X"
			mistressRoll4 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll5==mistressMatch3) {
			mistressMatched3 = true
			mistressMatch3 = "X"
			mistressRoll5 = 0
			mistressDice --
			matches ++
		}
	}
	//Match 4
	if(mistressMatched4!=true) {
		if(mistressRoll1==mistressMatch4) {
			mistressMatched4 = true
			mistressMatch4 = "X"
			mistressRoll1 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll2==mistressMatch4) {
			mistressMatched4 = true
			mistressMatch4 = "X"
			mistressRoll2 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll3==mistressMatch4) {
			mistressMatched4 = true
			mistressMatch4 = "X"
			mistressRoll3 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll4==mistressMatch4) {
			mistressMatched4 = true
			mistressMatch4 = "X"
			mistressRoll4 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll5==mistressMatch4) {
			mistressMatched4 = true
			mistressMatch4 = "X"
			mistressRoll5 = 0
			mistressDice --
			matches ++
		}
	}
	//Match 5
	if(mistressMatched5!=true) {
		if(mistressRoll1==mistressMatch5) {
			mistressMatched5 = true
			mistressMatch5 = "X"
			mistressRoll1 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll2==mistressMatch5) {
			mistressMatched5 = true
			mistressMatch5 = "X"
			mistressRoll2 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll3==mistressMatch5) {
			mistressMatched5 = true
			mistressMatch5 = "X"
			mistressRoll3 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll4==mistressMatch5) {
			mistressMatched5 = true
			mistressMatch5 = "X"
			mistressRoll4 = 0
			mistressDice --
			matches ++
		}
		else if(mistressRoll5==mistressMatch5) {
			mistressMatched5 = true
			mistressMatch5 = "X"
			mistressRoll5 = 0
			mistressDice --
			matches ++
		}
	}
	show(display+displayRoll+"\n\n"+matches+" matches."+spacer)
	if(debug)
		showButton("Continue")
	else
		wait(3)
}

//Check Player Matches
def checkPlayerMatches = {
	//Match 1
	if(playerMatched1!=true) {
		if(playerRoll1==playerMatch1) {
			playerMatched1 = true
			playerMatch1 = "X"
			playerRoll1 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll2==playerMatch1) {
			playerMatched1 = true
			playerMatch1 = "X"
			playerRoll2 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll3==playerMatch1) {
			playerMatched1 = true
			playerMatch1 = "X"
			playerRoll3 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll4==playerMatch1) {
			playerMatched1 = true
			playerMatch1 = "X"
			playerRoll4 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll5==playerMatch1) {
			playerMatched1 = true
			playerMatch1 = "X"
			playerRoll5 = 0
			playerDice --
			matches ++
		}
	}
	//Match 2
	if(playerMatched2!=true) {
		if(playerRoll1==playerMatch2) {
			playerMatched2 = true
			playerMatch2 = "X"
			playerRoll1 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll2==playerMatch2) {
			playerMatched2 = true
			playerMatch2 = "X"
			playerRoll2 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll3==playerMatch2) {
			playerMatched2 = true
			playerMatch2 = "X"
			playerRoll3 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll4==playerMatch2) {
			playerMatched2 = true
			playerMatch2 = "X"
			playerRoll4 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll5==playerMatch2) {
			playerMatched2 = true
			playerMatch2 = "X"
			playerRoll5 = 0
			playerDice --
			matches ++
		}
	}
	//Match 3
	if(playerMatched3!=true) {
		if(playerRoll1==playerMatch3) {
			playerMatched3 = true
			playerMatch3 = "X"
			playerRoll1 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll2==playerMatch3) {
			playerMatched3 = true
			playerMatch3 = "X"
			playerRoll2 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll3==playerMatch3) {
			playerMatched3 = true
			playerMatch3 = "X"
			playerRoll3 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll4==playerMatch3) {
			playerMatched3 = true
			playerMatch3 = "X"
			playerRoll4 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll5==playerMatch3) {
			playerMatched3 = true
			playerMatch3 = "X"
			playerRoll5 = 0
			playerDice --
			matches ++
		}
	}
	//Match 4
	if(playerMatched4!=true) {
		if(playerRoll1==playerMatch4) {
			playerMatched4 = true
			playerMatch4 = "X"
			playerRoll1 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll2==playerMatch4) {
			playerMatched4 = true
			playerMatch4 = "X"
			playerRoll2 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll3==playerMatch4) {
			playerMatched4 = true
			playerMatch4 = "X"
			playerRoll3 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll4==playerMatch4) {
			playerMatched4 = true
			playerMatch4 = "X"
			playerRoll4 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll5==playerMatch4) {
			playerMatched4 = true
			playerMatch4 = "X"
			playerRoll5 = 0
			playerDice --
			matches ++
		}
	}
	//Match 5
	if(playerMatched5!=true) {
		if(playerRoll1==playerMatch5) {
			playerMatched5 = true
			playerMatch5 = "X"
			playerRoll1 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll2==playerMatch5) {
			playerMatched5 = true
			playerMatch5 = "X"
			playerRoll2 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll3==playerMatch5) {
			playerMatched5 = true
			playerMatch5 = "X"
			playerRoll3 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll4==playerMatch5) {
			playerMatched5 = true
			playerMatch5 = "X"
			playerRoll4 = 0
			playerDice --
			matches ++
		}
		else if(playerRoll5==playerMatch5) {
			playerMatched5 = true
			playerMatch5 = "X"
			playerRoll5 = 0
			playerDice --
			matches ++
		}
	}
	show(display+displayRoll+"\n\n"+matches+" matches."+spacer)
	showButton("Continue")
}

//Opponent's Turn
def mistressTurn = {
	matches = 0
	show(display+"My turn.\n\n\n"+spacer)
	if(debug)
		showButton("Continue")
	else
		wait(1)
	playSoundDiceroll()
	if(mistressDice==5) {
		mistressRoll1 = getRandom(6)+1
		mistressRoll2 = getRandom(6)+1
		mistressRoll3 = getRandom(6)+1
		mistressRoll4 = getRandom(6)+1
		mistressRoll5 = getRandom(6)+1
		displayRoll = "I rolled:\n ["+mistressRoll1+"] ["+mistressRoll2+"] ["+mistressRoll3+"] ["+mistressRoll4+"] ["+mistressRoll5+"]"
	}
	else if(mistressDice==4) {
		mistressRoll1 = getRandom(6)+1
		mistressRoll2 = getRandom(6)+1
		mistressRoll3 = getRandom(6)+1
		mistressRoll4 = getRandom(6)+1
		displayRoll = "I rolled:\n ["+mistressRoll1+"] ["+mistressRoll2+"] ["+mistressRoll3+"] ["+mistressRoll4+"]"
	}
	else if(mistressDice==3) {
		mistressRoll1 = getRandom(6)+1
		mistressRoll2 = getRandom(6)+1
		mistressRoll3 = getRandom(6)+1
		displayRoll = "I rolled:\n ["+mistressRoll1+"] ["+mistressRoll2+"] ["+mistressRoll3+"]"
	}
	else if(mistressDice==2) {
		mistressRoll1 = getRandom(6)+1
		mistressRoll2 = getRandom(6)+1
		displayRoll = "I rolled:\n ["+mistressRoll1+"] ["+mistressRoll2+"]"
	}
	else if(mistressDice==1) {
		mistressRoll1 = getRandom(6)+1
		displayRoll = "I rolled:\n ["+mistressRoll1+"]"
	}
}

//Player's Turn
def playerTurn = {
	matches = 0
	show(display+"Your turn.\n\n\n"+spacer)
	showButton("Roll")
	playSoundDiceroll()
	if(playerDice==5) {
		playerRoll1 = getRandom(6)+1
		playerRoll2 = getRandom(6)+1
		playerRoll3 = getRandom(6)+1
		playerRoll4 = getRandom(6)+1
		playerRoll5 = getRandom(6)+1
		displayRoll = "You rolled:\n ["+playerRoll1+"] ["+playerRoll2+"] ["+playerRoll3+"] ["+playerRoll4+"] ["+playerRoll5+"]"
	}
	else if(playerDice==4) {
		playerRoll1 = getRandom(6)+1
		playerRoll2 = getRandom(6)+1
		playerRoll3 = getRandom(6)+1
		playerRoll4 = getRandom(6)+1
		displayRoll = "You rolled:\n ["+playerRoll1+"] ["+playerRoll2+"] ["+playerRoll3+"] ["+playerRoll4+"]"
	}
	else if(playerDice==3) {
		playerRoll1 = getRandom(6)+1
		playerRoll2 = getRandom(6)+1
		playerRoll3 = getRandom(6)+1
		displayRoll = "You rolled:\n ["+playerRoll1+"] ["+playerRoll2+"] ["+playerRoll3+"]"
	}
	else if(playerDice==2) {
		playerRoll1 = getRandom(6)+1
		playerRoll2 = getRandom(6)+1
		displayRoll = "You rolled:\n ["+playerRoll1+"] ["+playerRoll2+"]"
	}
	else if(playerDice==1) {
		playerRoll1 = getRandom(6)+1
		displayRoll = "You rolled:\n ["+playerRoll1+"]"
	}
}

//Check Game Winner
def gameWinner = {
	if(mistressRoundsWon>=winRounds) {
		game = false
		winner = "mistress"
	}
	else if(playerRoundsWon>=winRounds) {
		game = false
		winner = "player"
	}
}

//Check Round Winner
def roundWinner = {
	if(mistressDice==0) {
		setImageGame()
		show("I won that round.")
		showButton("Darn it!")
		mistressScore = mistressScore + mistressTotal
		round = false
		mistressRoundsWon ++
	}
	else if(playerDice==0) {
		setImageGame()
		show("You won that round.")
		showButton("Hooray!")
		playerScore = playerScore + playerTotal
		round = false
		playerRoundsWon ++
	}
}

//Rounds
def roundStart = {
	setImageGame()
	if(mistressRoundsWon==0 && playerRoundsWon==0)
		show("First round!")
	else
		show("Next round!")
	wait(3)
	playerStart()
	mistressStart()
	displayScore()
	mistressTotal = mistressMatch1+mistressMatch2+mistressMatch3+mistressMatch4+mistressMatch5
	playerTotal = playerMatch1+playerMatch2+playerMatch3+playerMatch4+playerMatch5
	if(playerTotal>=mistressTotal) {
		first = "player"
		spacer = "\n\n\n\n\n\n\n\n."
		show(display+"Your total matches equal "+playerTotal+".\nMine equal "+mistressTotal+".\n\nLooks like you get to go first..."+spacer)
		if(debug)
			showButton("Continue")
		else
			wait(3)
	} else {
		first = "mistress"
		spacer = "\n\n\n\n\n\n\n\n."
		show(display+"Your total matches equal "+playerTotal+".\nMine equal "+mistressTotal+".\n\nLooks like I get to go first..."+spacer)
		if(debug)
			showButton("Continue")
		else
			wait(3)
	}
	setImageGame()
}

def roundPlay1 = {
	displayScore()
	mistressTurn()
	displayScore()
	checkMistressMatches()
	displayScore()
	roundWinner()
	if(round) {
		playerTurn()
		displayScore()
		checkPlayerMatches()
		displayScore()
		roundWinner()
	}
}

def roundPlay2 = {
	displayScore()
	playerTurn()
	displayScore()
	checkPlayerMatches()
	displayScore()
	roundWinner()
	if(round) {
		mistressTurn()
		displayScore()
		checkMistressMatches()
		displayScore()
		roundWinner()
	}
}

def roundPlay = {
	if(first=="player")
		roundPlay2()
	else
		roundPlay1()
}		

//Opponent won
def victoryMistress = {
	setImageGame()
	show("Looks like I win, you naughty "+boygirl+". Now it's time for your spanking!"
		+"\n\nBare your bottom, young "+manlady+".")
	showButton("Yes, "+respectTitle+".")

	def totalSpanks = (mistressScore - playerScore)*spankMultiplier
//	def totalSpanks = mistressScore*spankMultiplier
	def spankRounds = (int) totalSpanks / 20
	def leftoverSpanks = totalSpanks % 20

	show("You have "+totalSpanks+" swats coming, "+player+"...")
	wait(4)

	//lightImplement = getLightImplement()
	mediumImplement = getMediumImplement()
	heavyImplement = getHeavyImplement()
	setImplementSounds()

	def thirdLeft = (int) spankRounds*(2.0/3)+1

	setImageGame()
	show("We will start with the "+mediumImplement+".")
	spankSound = mediumImplementSound
	showButton("Ready, "+respectTitle+".")
	def i=1
	while(i <= spankRounds)
	{
		if(i == thirdLeft && i > 2)
		{
			setImageGame()
			show("Time to switch over to the "+heavyImplement+".")
			spankSound = heavyImplementSound
			showButton("Got it, "+respectTitle+".")
		}
		if(i == spankRounds)
		{
			setImageGame()
			spank("Really HARD!",20+leftoverSpanks,2)
		}
		else
		{
			setImageGame()
			spank("Alternate cheeks... HARD!",20,1)
		}
		i++
	}
	if(spankRounds == 0)
	{
		setImageGame()
		show("Lucky you! Not even a full 20 swats... but you still have some coming.")
		wait(5)
		setImageGame()
		spank("Alternate cheeks, HARD!",leftoverSpanks,1)
	}
	show("Ouch! That bottom looks sore, "+player+"!\n\nStill, that's the price of losing, young "+manlady+"... "
		+"and spanking you is so much fun!")
	showButton("Yes, "+respectTitle+".")
}

//Player won
def victoryPlayer = {
	setImageGame()
	show("I can't believe you beat me!\n\nWell, I guess you've earned the chance to wank."
		+"\n\nShow me that "+cockpussy+" of yours, young "+manlady+", and get ready for your reward.")
	showButton("Ready, "+respectTitle+".")

	def totalStrokes = (playerScore - mistressScore)*strokeMultiplier
//	def totalStrokes = playerScore*strokeMultiplier
	def strokeRounds = (int) totalStrokes / 50
	def remainingStrokes = totalStrokes % 50

	show("You've earned "+totalStrokes+" strokes, "+player+"...")
	wait(4)

	def firstThird = (int) strokeRounds*(1.0/3)+1
	def finalThird = (int) strokeRounds*(2.0/3)+1

	def strokeTime = 1

	def message = "Slow strokes."

	def i=1
	while(i <= strokeRounds)
	{
		if(i == firstThird && i >= 2)
		{
			setImageGame()
			strokeTime = 0.75
			message = "Medium strokes."
		}
		else if(i==finalThird && i>=4)
		{
			setImageGame()
			strokeTime = 0.5
			message = "Faster strokes."
		}
		else if(i == strokeRounds && i > 5)
		{
			setImageGame()
			strokeTime = 0.25
			message = "Fast strokes!"
		}
		if(i == strokeRounds) stroke(message,50+remainingStrokes,strokeTime)
		else stroke(message,50,strokeTime)
		i++
	}
	if(strokeRounds == 0)
	{
		strokeTime = 2
		setImageGame()
		show("Poor baby! You couldn't even earn 50 strokes!"+
			"\n\nDon't worry, I will make this little wank session last for you.")
		wait(5)
		setImageGame()
		stroke("Make sure you savor these!",remainingStrokes,strokeTime)
	}
	show("Did you enjoy that, "+player+"?\n\nI was looking forward to spanking you, "
		+"but I suppose you did win your reward fair and square... this time!")
	showButton("Thank you, "+respectTitle+".")
}

//Mistress chooses implements
def pickImplementsMistress = {
	//lightImplement = getLightImplement()
	mediumImplement = getMediumImplement()
	heavyImplement = getHeavyImplement()
}

//Player chooses implements
def pickImplementsPlayer = {
	//lightImplement = getString("Enter a light implement.", lightImplement)
	mediumImplement = getString("Enter a medium implement.", mediumImplement)
	heavyImplement = getString("Enter a heavy implement.", heavyImplement)
}

//Implement selection
def pickImplementsChoice = {
	if(getBoolean("Do you want to me to pick the implements for you, based on what you have?\n\nOr do you want to choose them yourself?",
	"You pick","I'll pick")) pickImplementsMistress()
	else pickImplementsPlayer()
}

def pickImplements = {
	pickImplementsChoice()
	setImplementSounds()
	//show("Okay. Go and fetch the "+lightImplement+", "+mediumImplement+" and the "+heavyImplement+" and set them all close by."
	//	+"\n\nIf you lose the game, that's what you're getting spanked with, "+player+", so having them within sight might help you focus.")
	show("Okay. Go and fetch the "+mediumImplement+" and the "+heavyImplement+" and set them close by."
		+"\n\nIf you lose the game, that's what you're getting spanked with, "+player+", so having them within sight might help you focus.")
	showButton("Yes, "+respectTitle+".")
}

//Install Check
def installed = loadBoolean("Banjo.games.installed")
if(installed==null) {
	installed = false
	save("Banjo.games.installed",installed)
}

def coreScript = new File("scripts/Banjo/gamehub.groovy")
if(coreScript.exists()) {
	installed = true
	save("Banjo.games.installed",installed)
}
else {
	installed = false
	save("Banjo.games.installed",installed)
}
if(!installed) {
	show(null)
	setImage(null)
	if(getBoolean("CORE FILES NOT FOUND!\n\n"
		+"This game requires the download of a 'core' pack of opponents, images, sounds and files that is shared by other games in this series."
		+"To download the needed files, simply go to the SexScripts website script database and search for 'Game Hub' (or the script tag 'banjohub').\n\n"
		+"The script downloads can be found at:\n\n"
		+"http://ss.deviatenow.com/scripts.php\n\n"
		+"Apologies for the inconvenience!"
		+"", "Go to Webpage","Exit")) {
			if(isConnected()) {
				useUrl("http://ss.deviatenow.com/scripts.php")
				getString("Your internet browser should have opened the correct download page.\n\n"
					+"If not, please copy the link below and paste it into your web browser.", "http://ss.deviatenow.com/scripts.php")
			}
			else {
				getString("Cannot connect to the internet (your firewall may be blocking this operation)\n\n"
					+"Please copy the link below and paste it into your web browser.", "http://ss.deviatenow.com/scripts.php")
			}
		}
		show(null)
		setImage(null)
		if(loadBoolean("setting.newsetup")) {
			if(loadBoolean("setting.reload")) {
				return "system/welcome"
			}
			else {
				return "system/exit"
			}
		}
		else {
			return null
		}
}

//Start of script
show(null)
setImage(null)
opponentSelect()
show(null)
setImageMain()
wait(1)
intro()
while(!quit) {
	if(getBoolean("Do you want to review the rules?","Yes","I know them"))
	{
		rulesDisplay()
		while(getBoolean("Do you need to go back over the rules again?","Yes","I understand them"))
		{
			rulesDisplay()
		}
	}
	pickImplements()
	show("Now let's play!")
	wait(5)
	round = true
	game = true
	while(game) {
		roundStart()
		round = true
		while(round) {
			roundPlay()
		}
		gameWinner()
	}
	if(winner=="player")
		victoryPlayer()
	else
		victoryMistress()
	setImageMain()
	show(goodbye1)
	showButton("Goodbye, "+respectTitle+".")
	quit = true
}
setImage(null)
show(null)
def quitGame = true
if(loadBoolean("Banjo.games.hub")) {
	if(getBoolean("Return to Game Hub?","Yes","No")) {
		quitGame = false
		save("Banjo.games.hub",false)
		return "Banjo/gamehub"
	} else save("Banjo.games.hub",false)
}
if(quitGame) {
	if(loadBoolean("setting.newsetup")) {
		if(loadBoolean("setting.reload")) {
			return "system/welcome"
		}
		else {
			return "system/exit"
		}
	}
	else {
		return null
	}
}

//END OF SCRIPT
